# Gio::Emblem Class Reference

An object for emblems. More...

`#include <giomm/emblem.h>`

Inheritance diagram for Gio::Emblem:
[legend]

List of all members.

## Public Member Functions

virtual | ~Emblem ()
GEmblem* | gobj ()
| Provides access to the underlying C GObject.
const GEmblem* | gobj () const
| Provides access to the underlying C GObject.
GEmblem* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Icon > | get_icon ()
| Gives back the icon from emblem.
Glib::RefPtr< const Icon > | get_icon () const
| Gives back the icon from emblem.
EmblemOrigin | get_origin () const
| Gets the origin of the emblem.

## Static Public Member Functions

static Glib::RefPtr< Emblem > | create (const Glib::RefPtr< Icon >& icon)
static Glib::RefPtr< Emblem > | create (const Glib::RefPtr< Icon >& icon, EmblemOrigin origin)

## Protected Member Functions

| Emblem (const Glib::RefPtr< Icon >& icon)
| Emblem (const Glib::RefPtr< Icon >& icon, EmblemOrigin origin)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::Emblem > | wrap (GEmblem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An object for emblems.

Emblem is an implementation of GIcon that supports having an emblem, which is an icon with additional properties. It can than be added to a EmblemedIcon.

Currently, only metainformation about the emblem's origin is supported. More may be added in the future.

Since glibmm 2.20:

## Constructor & Destructor Documentation

virtual Gio::Emblem::~Emblem | ( |  | ) | `[virtual]`

Gio::Emblem::Emblem | ( | const Glib::RefPtr< Icon >& | icon | ) | `[explicit, protected]`

Gio::Emblem::Emblem | ( | const Glib::RefPtr< Icon >& | icon,
|  | EmblemOrigin | origin |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Emblem> Gio::Emblem::create | ( | const Glib::RefPtr< Icon >& | icon,
|  | EmblemOrigin | origin |
| ) |  |  | `[static]`

static Glib::RefPtr<Emblem> Gio::Emblem::create | ( | const Glib::RefPtr< Icon >& | icon | ) | `[static]`

Glib::RefPtr<const Icon> Gio::Emblem::get_icon | ( |  | ) | const

Gives back the icon from emblem.

Returns:
  A Icon. The returned object belongs to the emblem and should not be modified or freed.

Since glibmm 2.18:

Glib::RefPtr<Icon> Gio::Emblem::get_icon | ( |  | ) |

Gives back the icon from emblem.

Returns:
  A Icon. The returned object belongs to the emblem and should not be modified or freed.

Since glibmm 2.18:

EmblemOrigin Gio::Emblem::get_origin | ( |  | ) | const

Gets the origin of the emblem.

Returns:
  The origin of the emblem

Since glibmm 2.18:

const GEmblem* Gio::Emblem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

GEmblem* Gio::Emblem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

GEmblem* Gio::Emblem::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::Emblem > wrap | ( | GEmblem * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.